<?xml version="1.0" encoding="utf-8" ?> 
<!--this will change soon, but for now, id's can be found in dinput.h...-->
<inputschemes>
	<scheme name="kb_full">
		<key id="0x81000447" val="NUMPAD7">moveNW</key>
		<key id="0x81000448" val="NUMPAD8">moveN</key>
		<key id="0x81000449" val="NUMPAD9">moveNE</key>
		<key id="0x8100044D" val="NUMPAD6">moveE</key>
		<key id="0x81000451" val="NUMPAD3">moveSE</key>
		<key id="0x81000450" val="NUMPAD2">moveS</key>
		<key id="0x8100044F" val="NUMPAD1">moveSW</key>
		<key id="0x8100044B" val="NUMPAD4">moveW</key>
		
		<key id="0x810004CB" val="LEFT">moveW</key>
		<key id="0x810004CD" val="RIGHT">moveE</key>
		<key id="0x810004C8" val="UP">moveN</key>
		<key id="0x810004D0" val="DOWN">moveS</key>
		
		<key id="0x8100042A" val="LSHIFT">switch</key>
		<key id="0x81000436" val="RSHIFT">switch</key>
		<key id="0x8100041D" val="LCONTROL">action</key>
		<key id="0x8100049D" val="RCONTROL">action</key>
		
		<key id="0x8100041F" val="S">sub</key>
		<key id="0x81000414" val="T">timeout</key>
		
		<key id="0x81000402" val="1">card1</key>
		<key id="0x81000403" val="2">card2</key>
		<key id="0x81000404" val="3">card3</key>
		
		<key id="0x81000401" val="ESCAPE">pause</key>
	</scheme>
	<scheme name="kb_left">
		<key id="0x81000411" val="W">moveN</key>
		<key id="0x8100041E" val="A">moveW</key>
		<key id="0x81000420" val="D">moveE</key>
		<key id="0x8100041F" val="S">moveS</key>
		
		<key id="0x8100042A" val="LSHIFT">switch</key>
		<key id="0x8100041D" val="LCONTROL">action</key>
		
		<key id="0x81000413" val="R">sub</key>
		<key id="0x81000414" val="T">timeout</key>
		
		<key id="0x81000402" val="1">card1</key>
		<key id="0x81000403" val="2">card2</key>
		<key id="0x81000404" val="3">card3</key>
		
		<key id="0x81000401" val="ESCAPE">pause</key>
	</scheme>
	<scheme name="kb_right">
		<key id="0x81000447" val="NUMPAD7">moveNW</key>
		<key id="0x81000448" val="NUMPAD8">moveN</key>
		<key id="0x81000449" val="NUMPAD9">moveNE</key>
		<key id="0x8100044D" val="NUMPAD6">moveE</key>
		<key id="0x81000451" val="NUMPAD3">moveSE</key>
		<key id="0x81000450" val="NUMPAD2">moveS</key>
		<key id="0x8100044F" val="NUMPAD1">moveSW</key>
		<key id="0x8100044B" val="NUMPAD4">moveW</key>
		
		<key id="0x8100044E" val="ADD">switch</key>
		<key id="0x81000452" val="NUMPAD0">action</key>
		
		<key id="0x810004D3" val="DELETE">sub</key>
		<key id="0x810004CF" val="END">timeout</key>
		
		<key id="0x81000435" val="DIVIDE">card1</key>
		<key id="0x81000437" val="MULTIPLY">card2</key>
		<key id="0x8100044A" val="SUBTRACT">card3</key>
		
		<key id="0x81000401" val="ESCAPE">pause</key>
	</scheme>
	<scheme name="kb_right2">
		<key id="0x81000424" val="J">moveW</key>
		<key id="0x81000426" val="L">moveE</key>
		<key id="0x81000417" val="I">moveN</key>
		<key id="0x81000432" val="M">moveS</key>
		
		<key id="0x81000436" val="RSHIFT">switch</key>
		<key id="0x8100049D" val="RCONTROL">action</key>
		
		<key id="0x81000419" val="P">sub</key>
		<key id="0x8100042B" val="\">timeout</key>
		
		<key id="0x81000408" val="7">card1</key>
		<key id="0x81000409" val="8">card2</key>
		<key id="0x8100040A" val="9">card3</key>
		
		<key id="0x81000401" val="ESCAPE">pause</key>
	</scheme>
	<scheme name="gamepad">
		<padaxis id="0x22008201" val="Left / right">moveWE</padaxis>
		<padaxis id="0x22010202" val="Up / down">moveNS</padaxis>
		
		<padbtn id="0x22000401" val="Jump">switch</padbtn>
		<padbtn id="0x22000402" val="Fire">action</padbtn>
		
		<padbtn id="0x220004FD" val="MENU">sub</padbtn>
		<key id="0x220044FC" val="Start / Pause / Restart game">timeout</key>
		
		<key id="0x22000403" val="Crouch">card1</key>
		<key id="0x22000404" val="Apply special move">card2</key>
		<key id="0x22000405" val="Select special move">card3</key>
	</scheme>
</inputschemes>